{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block title %} Add Payment {% endblock %}

{% block content %}

    <div class="box box-primary">
        <div class="box-header with-border">
            <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
            <h3 class="box-title"><p>Add Payment</p></h3>
        </div>

        <form method="post" novalidate id="myForm">
            {% csrf_token %}
            <div class="box-body">
                <div class="form-group col-md-12 col-sm-12">
                    <div class="form-group">
                        <label class="control-label">Dealer*</label>
                        <div class="controls ">
                            <select name="dealer" id="id_dealer" class="select form-control">
                                <option value="">---------</option>
                                {% for d in dealers %}
                                    <option value="{{d.dealer.pk}}">
                                        {{ d.company_name }}, {{ d.primary_contact }}
                                    </option>
                                {% endfor %}
                            </select>
                        </div>
                    </div>
                </div>

                <div class="form-group col-md-12 col-sm-12">
                    <div class="form-group">
                        <label for="id_amount" class="control-label">Amount*</label>
                        <div class="controls">
                            <input id="id_amount" type="text" name="amount" class="form-control">
                        </div>
                    </div>
                </div>

                <div class="form-group col-md-12 col-sm-12">
                    {{form.payment_type|as_crispy_field}}
                </div>

                <div class="form-group col-md-12 col-sm-12">
                    <div id="div_id_reference" class="form-group">
                        <label for="id_reference" class="control-label ">
                            Cheque details, DD details, Transaction #, Cash*
                        </label>
                        <div class="controls ">
                            <input type="text" name="reference" id="id_reference" class="textinput textInput form-control" maxlength="100">
                        </div>
                    </div>
                </div>

                <div class="form-group col-md-12 col-sm-12">
                    <!--{{form.payment_date|as_crispy_field}}-->
                    <div id="div_payment_date" class="form-group">
                        <label for="id_payment_date" class="control-label ">
                            Payment Date*
                        </label>
                        <div class="controls ">
                            <input type="date" name="payment_date" class="dateinput form-control hasDatepicker" id="id_payment_date">
                        </div>
                    </div>
                </div>


                <div class="form-group col-md-12 col-sm-12 text-right">
                    <input id="submit" type="submit" value="Submit" class="btn btn-primary"/>
                </div>
            </div>
        </form>
    </div>

{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script>
        $(document).ready(function() {

            $("#id_amount").keypress(function (e) {
                if (e.which != 8 && e.which != 0 && e.which != 46 && (e.which < 48 || e.which > 57)) {
                    return false;
                }
            });

            $("#myForm").submit(function(event) {
                var button = $('#submit');
                button.prop('disabled',true)

                var flag = false;

                var dealer = $('#id_dealer').val();
                var amount = $("#id_amount").val();
                var type = $("#id_payment_type").val();
                var date = $("#id_payment_date").val();
                var reference = $("#id_reference").val();

                if(dealer != "" && amount != "" && type != "" && date != "" && reference != "") {
                    flag = true;
                }
                else {
                    if($('#id_dealer').val() == ""){
                        $('#id_dealer').parent().parent().addClass('has-error')
                        $('#error_1_id_dealer').remove();
                        $('#id_dealer').parent().append('<p id="error_1_id_dealer" class="help-block"><strong>This field is required.</strong></p>');
                    }
                    else {
                        $('#id_dealer').parent().parent().removeClass('has-error')
                        $('#error_1_id_dealer').remove();
                    }

                    if($("#id_amount").val() == "") {
                        $('#id_amount').parent().parent().addClass('has-error')
                        $('#error_1_id_amount').remove();
                        $('#id_amount').parent().append('<p id="error_1_id_amount" class="help-block"><strong>This field is required.</strong></p>');
                    }
                    else {
                        $('#id_amount').parent().parent().removeClass('has-error')
                        $('#error_1_id_amount').remove();
                    }

                    if($("#id_payment_type").val() == "") {
                        $('#id_payment_type').parent().parent().addClass('has-error')
                        $('#error_1_id_payment_type').remove();
                        $('#id_payment_type').parent().append('<p id="error_1_id_payment_type" class="help-block"><strong>This field is required.</strong></p>');
                    }
                    else {
                        $('#id_payment_type').parent().parent().removeClass('has-error')
                        $('#error_1_id_payment_type').remove();
                    }

                    if($("#id_reference").val() == "") {
                        $('#id_reference').parent().parent().addClass('has-error')
                        $('#error_1_id_reference').remove();
                        $('#id_reference').parent().append('<p id="error_1_id_reference" class="help-block"><strong>This field is required.</strong></p>');
                    }
                    else {
                        $('#id_reference').parent().parent().removeClass('has-error')
                        $('#error_1_id_reference').remove();
                    }

                    if($("#id_payment_date").val() == "") {
                        $('#id_payment_date').parent().parent().addClass('has-error')
                        $('#error_1_id_payment_date').remove();
                        $('#id_payment_date').parent().append('<p id="error_1_id_payment_date" class="help-block"><strong>This field is required.</strong></p>');
                    }
                    else {
                        $('#id_payment_date').parent().parent().removeClass('has-error')
                        $('#error_1_id_payment_date').remove();
                    }
                    flag = false;
                }
                return flag;
            });
        });
    </script>
{% endblock %}
